<?session_start();?>

<!DOCTYPE html PUBLIC "-//WAPFORUM//DTD XHTML Mobile 1.0//EN" "http://www.wapforum.org/DTD/xhtml-mobile10.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="ru">

<head><meta http-equiv='content-type' content='application/xhtml+xml; charset=windows-1251'/>
<link rel="shortcut icon" href="ico1.ico" type="image/x-icon" />
<title>Мрак Подземелья - новая онлайн игра</title>
<link rel="stylesheet" href="styleN.css" type="text/css" />
<link rel="stylesheet" href="msg.css" type="text/css" />


</head>
<body>

<div class='main' style='word-wrap:break-word;'>
<div class="center"><div class='top'>
<b>Почта</b>
</div></div>
<a href="game.php">в игру</a><br/>
<?
$pa=@intval($_GET['pa']);
$p = $_GET['p'];
$id = $_GET['id'];
$msgid = $_GET['msgid'];
$r = $_GET['r'];
$pp = $_POST['pp'];
$nick = $_POST['nick'];
include("db.php");
$db->openDB();
$msgC = mysql_query("SELECT * FROM msg WHERE MS_KOMU=\"$_SESSION[s]\"");
if(mysql_num_rows($msgC)<1)
{
echo("<font size=\"3px\"><b><font color=\"red\">Сообщений нет.</font></b></font><br/>");
}
if($p == 'msg'){echo"<a href=\"msg.php\">назад</a><br/>
<textarea cols=\"40px\" rows=\"10px\" readonly=\"readonly\"></textarea>
";die;}
?>

<div style="padding:5px">Мои друзья:
<?if(!isset($p)){echo"<a href=\"msg.php?p=add\">[добавить]</a>";}
  if(isset($p)){echo"<a href=\"msg.php\">[скрыть]</a>";}
?>
<?



$frnds = mysql_query("SELECT * FROM frinds WHERE F_KTO=\"$_SESSION[s]\"");
if($p == 'add'){echo"введите имя персонажа:<br/>
<form action=\"msg.php\" method=\"POST\">
<input name=\"nick\" maxlength=\"25\" size=\"15\" class=\"text long\">
</form>
<p></p>";}
while($frnds2 = mysql_fetch_assoc($frnds)){
$msg = mysql_query("SET NAMES cp1251");
$msg = mysql_query("SELECT * FROM msg WHERE MS_OT=\"$frnds2[F_KOGO]\" AND MS_KOMU=\"$_SESSION[s]\"");
$m1 = mysql_query("SET NAMES cp1251");
$m1 = mysql_query("SELECT * FROM msg WHERE MS_OT=\"$id\" AND MS_KOMU=\"$_SESSION[s]\" ORDER by MS_DATE DESC LIMIT $pa,10");


echo "<div class=\"frnds\"><a href=\"?r=read&id=$frnds2[F_KOGO]\"><img src=\"img/user.png\"> ".$frnds2[F_KOGO]." (".mysql_num_rows($msg).")</a> <a href=\"?p=msg&id=$frnds2[F_KOGO]\"><img src=\"img/msg.png\" width=\"16\" height=\"16\"></a><a href=\"?p=delus&id=$frnds2[F_KOGO]\"> <img src=\"img/bad.png\" width=\"12\" height=\"12\"></a></div>";
;

while($m2 = mysql_fetch_assoc($m1)){

if($r == 'read' AND $id == $frnds2[F_KOGO] AND mysql_num_rows($m1)>0){echo"<div class=\"suckks\">$m2[MS_TEXT] <a href=\"?r=read&p=delmsg&id=$frnds2[F_KOGO]&msgid=$m2[MS_ID]\"> <img src=\"img/bad.png\" width=\"12\" height=\"12\"></a></div>";
if($m2[MS_OT]==$id AND $m2[MS_ID] == $msgid){echo"<div class=\"del\">Вы действительно хотите удалить это сообщение?
<br/> да | <a href=\"?r=read&id=$id\"><font color=\"gold\">нет</font></a></div>";}
//единственное,что здесь можно сделать, при удалении сообщений,сделать новый запрос на их вывод и там уже химичить с выводом сообщений
}
}
}


$ms1 = mysql_query("SELECT * FROM msg WHERE MS_OT=\"sys\" AND MS_KOMU=\"$_SESSION[s]\" ORDER by MS_DATE DESC LIMIT $pa,10");

?>
<br/>Системные сообщения:<br/><img src="img/vos.png"> <?echo "<a href=\"?r=read&id=sys\">";?>система<?echo ' ('.mysql_num_rows($ms1).')';echo "</a>";?>
<?
while($ms2 = mysql_fetch_assoc($ms1)){
if($id == 'sys' AND mysql_num_rows($ms1)>0){echo"<div class=\"suckks\">$ms2[MS_TEXT]</div>";}
}
?>
<br/>Черный список:
в разработке....
